Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.office
Class OdfDocumentMetaElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.office.OdfDocumentMetaElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfDocumentMeta

    public abstract class OdfDocumentMetaElement

extends OdfElement

DOM implementation of OpenDocument element office:document-meta.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfDocumentMetaElement(OdfFileDom aOwnerDoc)` Create the instance of OdfDocumentMetaElement

Method Summary
`OdfAutoReloadElement` | `createAutoReloadElement()` Create child element meta:auto-reload.
`OdfCreationDateElement` | `createCreationDateElement()` Create child element meta:creation-date.
`OdfCreatorElement` | `createCreatorElement()` Create child element dc:creator.
`OdfDateElement` | `createDateElement()` Create child element dc:date.
`OdfDescriptionElement` | `createDescriptionElement()` Create child element dc:description.
`OdfDocumentStatisticElement` | `createDocumentStatisticElement()` Create child element meta:document-statistic.
`OdfEditingCyclesElement` | `createEditingCyclesElement()` Create child element meta:editing-cycles.
`OdfEditingDurationElement` | `createEditingDurationElement()` Create child element meta:editing-duration.
`OdfGeneratorElement` | `createGeneratorElement()` Create child element meta:generator.
`OdfHyperlinkBehaviourElement` | `createHyperlinkBehaviourElement()` Create child element meta:hyperlink-behaviour.
`OdfInitialCreatorElement` | `createInitialCreatorElement()` Create child element meta:initial-creator.
`OdfKeywordElement` | `createKeywordElement()` Create child element meta:keyword.
`OdfLanguageElement` | `createLanguageElement()` Create child element dc:language.
`OdfPrintDateElement` | `createPrintDateElement()` Create child element meta:print-date.
`OdfPrintedByElement` | `createPrintedByElement()` Create child element meta:printed-by.
`OdfSubjectElement` | `createSubjectElement()` Create child element dc:subject.
`OdfTemplateElement` | `createTemplateElement(OdfAnyURI href)` Create child element meta:template.
`OdfTitleElement` | `createTitleElement()` Create child element dc:title.
`OdfUserDefinedElement` | `createUserDefinedElement(OdfValueType valueType, String name)` Create child element meta:user-defined.
`OdfName` | `getOdfName()` Get the element name
`OdfAnyURI` | `getTransformation()` Get value of attribute grddl:transformation.
`String` | `getVersion()` Get value of attribute office:version.
`void` | `init(String version)` Initialization of the mandatory attributes of `OdfDocumentMetaElement`
`void` | `setTransformation(OdfAnyURI transformation)` Set value of attribute grddl:transformation.
`void` | `setVersion(String version)` Set value of attribute office:version.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfDocumentMetaElement

    public OdfDocumentMetaElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfDocumentMetaElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element office:document-meta.

### init

    public void init(String version)

  Initialization of the mandatory attributes of `OdfDocumentMetaElement`

  Parameters:
    `version` - The mandatory attribute office:version"

### getVersion

    public String getVersion()

  Get value of attribute office:version.

  Returns:
    return the attribute which type is String

### setVersion

    public void setVersion(String version)

  Set value of attribute office:version.

  Parameters:
    `version` - the attribute's type is String

### getTransformation

    public OdfAnyURI getTransformation()

  Get value of attribute grddl:transformation.

  Returns:
    return the attribute which type is OdfAnyURI

### setTransformation

    public void setTransformation(OdfAnyURI transformation)

  Set value of attribute grddl:transformation.

  Parameters:
    `transformation` - the attribute's type is OdfAnyURI

### createGeneratorElement

    public OdfGeneratorElement createGeneratorElement()

  Create child element meta:generator.

  Returns:
    return the element meta:generator

### createTitleElement

    public OdfTitleElement createTitleElement()

  Create child element dc:title.

  Returns:
    return the element dc:title

### createDescriptionElement

    public OdfDescriptionElement createDescriptionElement()

  Create child element dc:description.

  Returns:
    return the element dc:description

### createSubjectElement

    public OdfSubjectElement createSubjectElement()

  Create child element dc:subject.

  Returns:
    return the element dc:subject

### createKeywordElement

    public OdfKeywordElement createKeywordElement()

  Create child element meta:keyword.

  Returns:
    return the element meta:keyword

### createInitialCreatorElement

    public OdfInitialCreatorElement createInitialCreatorElement()

  Create child element meta:initial-creator.

  Returns:
    return the element meta:initial-creator

### createCreatorElement

    public OdfCreatorElement createCreatorElement()

  Create child element dc:creator.

  Returns:
    return the element dc:creator

### createPrintedByElement

    public OdfPrintedByElement createPrintedByElement()

  Create child element meta:printed-by.

  Returns:
    return the element meta:printed-by

### createCreationDateElement

    public OdfCreationDateElement createCreationDateElement()

  Create child element meta:creation-date.

  Returns:
    return the element meta:creation-date

### createDateElement

    public OdfDateElement createDateElement()

  Create child element dc:date.

  Returns:
    return the element dc:date

### createPrintDateElement

    public OdfPrintDateElement createPrintDateElement()

  Create child element meta:print-date.

  Returns:
    return the element meta:print-date

### createTemplateElement

    public OdfTemplateElement createTemplateElement(OdfAnyURI href)

  Create child element meta:template.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element meta:template

### createAutoReloadElement

    public OdfAutoReloadElement createAutoReloadElement()

  Create child element meta:auto-reload.

  Returns:
    return the element meta:auto-reload

### createHyperlinkBehaviourElement

    public OdfHyperlinkBehaviourElement createHyperlinkBehaviourElement()

  Create child element meta:hyperlink-behaviour.

  Returns:
    return the element meta:hyperlink-behaviour

### createLanguageElement

    public OdfLanguageElement createLanguageElement()

  Create child element dc:language.

  Returns:
    return the element dc:language

### createEditingCyclesElement

    public OdfEditingCyclesElement createEditingCyclesElement()

  Create child element meta:editing-cycles.

  Returns:
    return the element meta:editing-cycles

### createEditingDurationElement

    public OdfEditingDurationElement createEditingDurationElement()

  Create child element meta:editing-duration.

  Returns:
    return the element meta:editing-duration

### createDocumentStatisticElement

    public OdfDocumentStatisticElement createDocumentStatisticElement()

  Create child element meta:document-statistic.

  Returns:
    return the element meta:document-statistic

### createUserDefinedElement

    public OdfUserDefinedElement createUserDefinedElement(OdfValueType valueType,
                                                          String name)

  Create child element meta:user-defined.

  Parameters:
    `valueType` - the attribute's type is OdfValueType, see meta:value-type at specification
    `name` - String
  Returns:
    return the element meta:user-defined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.